Imports CharterDotCom.CommonEntities.Library.Enumerations
Imports CharterDotCom.WebSite.Library
Imports CharterDotCom.CommonEntities.Library
' Imports CharterDotCom.Common.Logging
Imports CheckFirmwareUpgradeEligibility


Partial Class Customers_SupportOverview
    Inherits CharterCMSPage

    Protected Sub Page_Init(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Init
        SetContentKeys()
    End Sub

    Private Sub SetContentKeys()
        'Support / Overview
        Me.litSupportOverviewHeader.Text = GetCMSContent("Support:Overview:Header")
        Me.litSupportOverviewAlert.Text = GetCMSContent("Support:Overview:Alert")
        Me.litSupportOverviewCable.Text = GetCMSContent("Support:Overview:Cable")
    End Sub

    Protected Sub btnRegister_Click1(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnRegister.Click
        If Page.IsValid Then
            Dim testText As String
            Dim account As String
            Dim eligibilityStatus As String


            'Dim checkLegacyWIFI As ClsCheckLegacyWIFI = New ClsCheckLegacyWIFI()
            'Dim checkLegacyWIFI2 As ClsCheckLegacyWIFI = New ClsCheckLegacyWIFI()

            'checkLegacyWIFI.AccountNumber = "1234567890123456"
            'checkLegacyWIFI.MacAddress = "123456789012"
            'checkLegacyWIFI.PhoneNumber = "111-111-1111"
            'checkLegacyWIFI.ZipCodePhone = "90000"
            'checkLegacyWIFI.ZipCodeAccount = "90000"


            'eligibilityStatus = checkLegacyWIFI2.checkEligibilityStatus(checkLegacyWIFI)






            testText = txtHorWideSecurityCodeV3.Text
            account = accountNumber.Text
            'Logger.WebLog("GetCMSContent")
        End If
    End Sub


    Private Function GetCMSContent(ByVal userControlName As String) As String
        Dim cmsContent As String = String.Empty

        'Logger.WebLog("GetCMSContent")

        cmsContent = ContentManager.Instance.GetContent(userControlName, "1", OwnerType.Other)
        If (cmsContent Is Nothing) Then
            cmsContent = "content not found: " & userControlName
        End If
        Return cmsContent
    End Function
End Class
